diff --git a/changelog b/changelog
index 64e8e3d..6947a7a 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090922 tpd src/axiom-website/patches.html 20090922.04.tpd.patch
+20090922 tpd src/interp/profile.lisp cleanup
 20090922 tpd src/axiom-website/patches.html 20090922.03.tpd.patch
 20090922 tpd src/interp/apply.lisp cleanup
 20090922 tpd src/axiom-website/patches.html 20090922.02.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 812a596..7892d95 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -2016,5 +2016,7 @@ src/interp/cattable.lisp cleanup<br/>
 src/interp/c-util.lisp cleanup<br/>
 <a href="patches/20090922.03.tpd.patch">20090922.03.tpd.patch</a>
 src/interp/apply.lisp cleanup<br/>
+<a href="patches/20090922.04.tpd.patch">20090922.04.tpd.patch</a>
+src/interp/profile.lisp cleanup<br/>
  </body>
 </html>
diff --git a/src/interp/profile.lisp.pamphlet b/src/interp/profile.lisp.pamphlet
index 4b89586..48378fb 100644
--- a/src/interp/profile.lisp.pamphlet
+++ b/src/interp/profile.lisp.pamphlet
@@ -25,6 +25,7 @@
 
 (DEFUN |profileWrite| ()
   (PROG (|outStream| *PRINT-PRETTY*)
+  (declare (special *PRINT-PRETTY* |$profileAlist|))
     (RETURN
       (PROGN
         (SPADLET |outStream|
@@ -45,6 +46,7 @@
 
 (DEFUN |profileTran| (|alist|)
   (PROG (|opSig| |info| |op| |sig|)
+  (declare (special |$profileHash|))
     (RETURN
       (SEQ (PROGN
              (SPADLET |$profileHash| (MAKE-HASH-TABLE))
@@ -101,6 +103,7 @@
 
 (DEFUN |profileRecord| (|label| |name| |info|)
   (PROG (|op| |argl| |opSig| |alist1| |alist2| |newAlist2| |newAlist1|)
+  (declare (special |$profileAlist| |$signatureOfForm| |$op| |$form|))
     (RETURN
       (PROGN
         (COND
@@ -129,6 +132,7 @@
 
 (DEFUN |profileDisplay| ()
   (PROG (|op| |alist1|)
+  (declare (special |$profileAlist|))
     (RETURN
       (SEQ (PROGN
              (|profileDisplayOp| '|constructor|
